class HelpDeskChatMessage {
  int? id;
  int? ticketMainId;
  int? personId;
  String? contentType;
  String? content;
  String? title;
  String? mediaType;
  String? mediaUrl;
  int? isUploading;
  int? isFailed;
  int? createdAt;
  int? isReply;
  int? originalCommentId;
  String? originalCommentContent;
  String? originalCommentContentType;
  String? originalCommentMediaType;
  String? originalCommentMediaUrl;
  String? originalCommentMediaMimeType;
  String? mediaMimeType;
  String? commentStatus;
  String? applicableTo;

  HelpDeskChatMessage({
    this.id = 0,
    this.personId,
    this.isFailed = 0,
    this.title,
    this.isUploading = 0,
    this.ticketMainId,
    this.contentType,
    this.content,
    this.createdAt = 0,
    this.mediaType,
    this.mediaUrl,
    this.mediaMimeType,
    this.isReply = 0,
    this.originalCommentId,
    this.originalCommentContent,
    this.originalCommentContentType,
    this.originalCommentMediaType,
    this.originalCommentMediaUrl,
    this.originalCommentMediaMimeType,
    this.commentStatus,
    this.applicableTo,
  });

  HelpDeskChatMessage.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    isFailed = json['isFailed'];
    title = json['title'];
    createdAt = json['created_at'];
    isUploading = json['isUploading'];
    personId = json['person_id'];
    ticketMainId = json['ticket_main_id'];
    contentType = json['content_type'];
    content = json['content'];
    mediaType = json['media_type'];
    mediaUrl = json['media_url'];
    mediaMimeType = json['media_mime_type'];
    isReply = json['is_reply'];
    originalCommentId = json['original_comment_id'];
    originalCommentContent = json['original_comment_content'];
    originalCommentContentType = json['original_comment_content_type'];
    originalCommentMediaType = json['original_comment_media_type'];
    originalCommentMediaUrl = json['original_comment_media_url'];
    originalCommentMediaMimeType = json['original_comment_media_mime_type'];
    commentStatus = json['comment_status'];
    applicableTo = json['applicable_to'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['created_at'] = this.createdAt;
    data['isFailed'] = this.isFailed;
    data['title'] = this.title;
    data['isUploading'] = this.isUploading;
    data['person_id'] = this.personId;
    data['ticket_main_id'] = this.ticketMainId;
    data['content_type'] = this.contentType;
    data['content'] = this.content;
    data['media_type'] = this.mediaType;
    data['media_url'] = this.mediaUrl;
    data['media_mime_type'] = this.mediaMimeType;
    data['is_reply'] = this.isReply;
    data['original_comment_id'] = this.originalCommentId;
    data['original_comment_content'] = this.originalCommentContent;
    data['original_comment_content_type'] = this.originalCommentContentType;
    data['original_comment_media_type'] = this.originalCommentMediaType;
    data['original_comment_media_url'] = this.originalCommentMediaUrl;
    data['original_comment_media_mime_type'] =
        this.originalCommentMediaMimeType;
    data['comment_status'] = this.commentStatus;
    data['applicable_to'] = this.applicableTo;
    return data;
  }
}

class HelpdeskMessageContent {
  String? text;
  List<Actions>? actions;
  String? cardType;
  int? agentId;

  HelpdeskMessageContent(
      {this.text, this.actions, this.cardType, this.agentId});

  HelpdeskMessageContent.fromJson(Map<String, dynamic> json) {
    text = json['text'];
    if (json['actions'] != null) {
      actions = [];
      json['actions'].forEach((v) {
        actions!.add(new Actions.fromJson(v));
      });
    }
    cardType = json['card_type'];
    agentId = json['agent_person_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['text'] = this.text;
    if (this.actions != null) {
      data['actions'] = this.actions!.map((v) => v.toJson()).toList();
    }
    data['card_type'] = this.cardType;
    data['agent_person_id'] = this.agentId;
    return data;
  }
}

class Actions {
  String? actionCode;
  String? actionText;
  int? actionId;

  Actions({this.actionCode, this.actionText, this.actionId});

  Actions.fromJson(Map<String, dynamic> json) {
    actionCode = json['action_code'];
    actionText = json['action_text'];
    actionId = json['action_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['action_code'] = this.actionCode;
    data['action_text'] = this.actionText;
    data['action_id'] = this.actionId;
    return data;
  }
}
