class Media {
  int? id;
  String? fileType;
  String? mediaType;
  String? mediaUrl;
  String? mediaThumbnailUrl;
  OtherImageUrls? otherImageUrls;
  Media({this.mediaType, this.mediaUrl, this.id, this.mediaThumbnailUrl});

  Media.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    mediaType = json['media_type'];
    mediaUrl = json['media_url'];
    fileType = json['file_type'];
    mediaThumbnailUrl = json['media_thumbnail_url'];
    otherImageUrls = json['other_image_urls'] != null
        ? OtherImageUrls.fromJson(json['other_image_urls'])
        : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['media_type'] = mediaType;
    data['file_type'] = fileType;
    data['media_url'] = mediaUrl;
    data['media_thumbnail_url'] = mediaThumbnailUrl;
    if (otherImageUrls != null) {
      data['other_image_urls'] = otherImageUrls!.toJson();
    }
    return data;
  }
}

class OtherImageUrls {
  String? s64dp;
  String? s128dp;
  String? s256dp;
  String? s512dp;
  String? original;

  OtherImageUrls(
      {this.s64dp, this.s128dp, this.s256dp, this.s512dp, this.original});

  OtherImageUrls.fromJson(Map<String, dynamic> json) {
    s64dp = json['64dp'];
    s128dp = json['128dp'];
    s256dp = json['256dp'];
    s512dp = json['512dp'];
    original = json['original'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['64dp'] = s64dp;
    data['128dp'] = s128dp;
    data['256dp'] = s256dp;
    data['512dp'] = s512dp;
    data['original'] = original;
    return data;
  }
}
