class ProductCatalogResponse {
  String? statusCode;
  String? message;
  List<CatalogItem>? rows;

  ProductCatalogResponse({this.statusCode, this.message, this.rows});

  ProductCatalogResponse.fromJson(Map<String, dynamic> json) {
    statusCode = json['statusCode'];
    message = json['message'];
    if (json['rows'] != null) {
      rows = <CatalogItem>[];
      json['rows'].forEach((v) {
        rows!.add(CatalogItem.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['statusCode'] = statusCode;
    data['message'] = message;
    if (rows != null) {
      data['rows'] = rows!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class CatalogItem {
  int? id;
  String? catalogLabel;
  String? catalogCode;
  String? catalogImage;
  int? catalogItems;
  List<CatalogAudience>? catalogAudience;

  CatalogItem(
      {this.id,
      this.catalogLabel,
      this.catalogCode,
      this.catalogImage,
      this.catalogItems,
      this.catalogAudience});

  CatalogItem.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    catalogLabel = json['catalogLabel'];
    catalogCode = json['catalogCode'];
    catalogImage = json['catalogImage'];
    catalogItems = json['catalogItems'];
    if (json['catalogAudience'] != null) {
      catalogAudience = <CatalogAudience>[];
      json['catalogAudience'].forEach((v) {
        catalogAudience!.add(CatalogAudience.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['catalogLabel'] = catalogLabel;
    data['catalogCode'] = catalogCode;
    data['catalogImage'] = catalogImage;
    data['catalogItems'] = catalogItems;
    if (catalogAudience != null) {
      data['catalogAudience'] =
          catalogAudience!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class CatalogAudience {
  int? id;
  String? businessName;
  String? avatar;
  String? title;

  CatalogAudience({this.id, this.businessName, this.avatar, this.title});

  CatalogAudience.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    businessName = json['business_name'];
    avatar = json['avatar'];
    title = json['title'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['business_name'] = businessName;
    data['avatar'] = avatar;
    data['title'] = title;
    return data;
  }
}
