class ProductResponse {
  String? statusCode;
  String? message;
  List<ProductItem>? rows;

  ProductResponse({this.statusCode, this.message, this.rows});

  ProductResponse.fromJson(Map<String, dynamic> json) {
    statusCode = json['statusCode'];
    message = json['message'];
    if (json['rows'] != null) {
      rows = <ProductItem>[];
      json['rows'].forEach((v) {
        rows!.add(ProductItem.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['statusCode'] = statusCode;
    data['message'] = message;
    if (rows != null) {
      data['rows'] = rows!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ProductItem {
  int? id;
  String? productThumbnail;
  String? productLabel;
  String? productCode;
  String? productMinPrice;
  String? productMaxPrice;
  List<int>? productCategoryIds;
  List<String>? productCategoryNames;
  int? productBrandId;
  String? productBrandName;
  int? productUomId;
  int? productTaxId;
  bool? productTaxInclusive;
  String? productTaxValue;
  String? productTaxLabel;
  String? productDescription;
  List<ProductMedia>? productMedia;

  ProductItem(
      {this.id,
      this.productThumbnail,
      this.productLabel,
      this.productCode,
      this.productMinPrice,
      this.productMaxPrice,
      this.productCategoryIds,
      this.productCategoryNames,
      this.productBrandId,
      this.productBrandName,
      this.productUomId,
      this.productTaxId,
      this.productTaxInclusive,
      this.productTaxValue,
      this.productTaxLabel,
      this.productDescription,
      this.productMedia});

  ProductItem.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    productThumbnail = json['productThumbnail'];
    productLabel = json['productLabel'];
    productCode = json['productCode'];
    productMinPrice = json['productMinPrice'];
    productMaxPrice = json['productMaxPrice'];
    productCategoryIds = json['productCategoryIds'].cast<int>();
    productCategoryNames = json['productCategoryNames'].cast<String>();
    productBrandId = json['productBrandId'];
    productBrandName = json['productBrandName'];
    productUomId = json['productUomId'];
    productTaxId = json['productTaxId'];
    productTaxInclusive = json['productTaxInclusive'];
    productTaxValue = json['productTaxValue'];
    productTaxLabel = json['productTaxLabel'];
    productDescription = json['productDescription'];
    if (json['productMedia'] != null) {
      productMedia = <ProductMedia>[];
      json['productMedia'].forEach((v) {
        productMedia!.add(ProductMedia.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['productThumbnail'] = productThumbnail;
    data['productLabel'] = productLabel;
    data['productCode'] = productCode;
    data['productMinPrice'] = productMinPrice;
    data['productMaxPrice'] = productMaxPrice;
    data['productCategoryIds'] = productCategoryIds;
    data['productCategoryNames'] = productCategoryNames;
    data['productBrandId'] = productBrandId;
    data['productBrandName'] = productBrandName;
    data['productUomId'] = productUomId;
    data['productTaxId'] = productTaxId;
    data['productTaxInclusive'] = productTaxInclusive;
    data['productTaxValue'] = productTaxValue;
    data['productTaxLabel'] = productTaxLabel;
    data['productDescription'] = productDescription;
    if (productMedia != null) {
      data['productMedia'] = productMedia!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ProductMedia {
  String? fileThumbnailUrl;
  String? fileUrl;
  String? mediaType;

  ProductMedia({this.fileThumbnailUrl, this.fileUrl, this.mediaType});

  ProductMedia.fromJson(Map<String, dynamic> json) {
    fileThumbnailUrl = json['file_thumbnail_url'];
    fileUrl = json['file_url'];
    mediaType = json['media_type'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['file_thumbnail_url'] = fileThumbnailUrl;
    data['file_url'] = fileUrl;
    data['media_type'] = mediaType;
    return data;
  }
}
